###############################################################################
# Local Security Check Automation Framework
#
# Authors:
# Veerendra GG <veerendragg@secpod.com>
#
# Revision 1.1
# Date: 2009/01/15
#
# Copyright:
# Copyright (c) 2009 SecPod , http://www.secpod.com
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################


##### Documentation #####
#
#
# [mantis] - Mantis Reporting
# generate_mantis_report = Yes or No. The generated scripts will be reported
# in Mantis if Yes.
#
# db_host = The IP Address of the MySQL DB
#
# mysql_user = MySQL User with write permission to Mantis DB
#
# mysql_passwd = Password
#
# mantis_user = Mantis reporter User ID. This is only for reporting purpose
# and no login is performed.
#
# project_name = Mantis Project Name
#
# dbname = Mantis DB Name
#
#
# [common]
# generate: List of Operating Systems for which local security checks to be
# developed, Example: SUSE,Fedora,Debian,Gentoo
#
# build_path: Path where idfile, directory, htmlcache will be built.
# If it's empty, it builds in current directory.
#
#
# [test]
# sanity_test: Yes, Local Security Checks will be tested for
# compilation errors i.e openvas-nasl -pLX gb_2008_001.nasl
#
# openvas_plugin_path: OpenVAS Plugins path, to copy necessary
# files for compilation e.g: /usr/local/lib/openvas/plugins
#
# openvas_bin_path: OpenVAS bin path
# eg: /usr/local/bin/openvas-nasl
#
#
# Individual OS section
# startid: Starting ID for Script ID (script_id() in NVT's). Do not
# assign already used Script ID.

# mainurl: The root URL where the advisories are published.

# year: The year for which NVT's have to be developed. Month is applicable
# sometimes, depending on the vendor advisory.

# template: Path of the template file where the NVT skeleton code
# is available. The path given will be appended to the Current Working
# Directory.


[mantis]
generate_mantis_report = No
db_host = 127.0.0.1
mysql_user = test
mysql_passwd = test
mantis_user = administrator
project_name = LSC
dbname = mantis


[common]
generate = Suse , Fedora, Redhat, CentOS, Debian, Ubuntu, Mandriva,HPUX, Gentoo, Solaris,    
build_path =  ./build


[test]
sanity_test = Yes
# The code internally also tries to fetch this path
# through openvasd-config
openvas_plugin_path = /usr/local/lib/openvas/plugins 
openvas_bin_path = openvas-nasl


# Solaris Core Section
[Solaris]

startid = 855000

mainurl = http://sunsolve.sun.com/

year = 2009

template = ./templates/Solaris.template


# HP-UX Core Section
[HPUX]

startid = 835000

mainurl = http://www13.itrc.hp.com/service/cki/secBullArchive.do

year = 2009

template = ./templates/HPUX.template


# Mandriva Core Section
[Mandriva]

startid = 830000

mainurl = http://lists.mandriva.com/security-announce/

year = 2007

template = ./templates/Mandriva.template


# Ubuntu Core Section
[Ubuntu]

startid = 840000

mainurl = https://lists.ubuntu.com/archives/ubuntu-security-announce/

year = 2008

template = ./templates/Ubuntu.template


# Gentoo Core Section
[Gentoo]

startid = 845000

mainurl = http://www.gentoo.org/security/en/glsa/

year = 2009

template = ./templates/Gentoo.template


# Debian Core Section
[Debian]

startid = 890000

mainurl = http://lists.debian.org/debian-security-announce/

year = 2008

template = ./templates/Debian.template


# CentOS Core Section
[CentOS]

startid = 880000

mainurl = http://lists.centos.org/pipermail/centos-announce/

year = 2009

template = ./templates/CentOS.template


# RedHat Core Section
[Redhat]

startid = 870000

mainurl = https://www.redhat.com/archives/rhsa-announce/

year = 2008

template = ./templates/RedHat.template


# Fedora Core Section
[FC]

startid = 860000

mainurl = http://lists.fedoraproject.org/pipermail/package-announce/
## New URL because no more advisories are been updated in below link
## https://www.redhat.com/archives/fedora-package-announce/

year = 2008

template = ./templates/Fedora.template


# SUSE section
[SUSE]

startid = 850000

mainurl = http://www.novell.com/linux/security/advisories/

year = 2008

template = ./templates/Suse.template

